Subject: Re: linux-next: Fixes tags needs some work in the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Thu, 16 Apr 2020 14:09:25 +0100

On Thu, Apr 16, 2020 at 09:41:11AM +1000, Stephen Rothwell wrote:

> has these problem(s):

>   - Subject has leading but no trailing parentheses
>   - Subject has leading but no trailing quotes

> Please do not split Fixes tags over more than one line.

> Mark, since you don't seem to rebase your branches, please start pushing
> back on these before they are committed to your tree (especially the
> non existent SHA1s).

Is there some scripting that does these checks (ideally someone would be
running a bot for this)?

TBH aside from the missing SHA1s (which are a definite issue, mainly
coming from Intel unfortunately) I'm struggling to see most of the
things you're reporting as substantial issues - I'm not sure that
tooling should be caring about much beyond the SHA1 in the tag, and if
it is then supporting wrapping like RFC822 headers doesn't seem
unreasonable.